Writer Class Referenceabstract

Abstract class for writing to character streams. More...

Inheritance diagram for Writer:

## Public Member Functions

virtual void | close (Pool &p)=0
virtual void | flush (Pool &p)=0
virtual void | write (const LogString &str, Pool &p)=0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions

| Writer ()
virtual | ~Writer ()

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

## Writer()

Writer | ( |  | ) |

protected

## ~Writer()

virtual ~Writer | ( |  | ) |

protected virtual

## Member Function Documentation

## close()

virtual void close | ( | Pool & | p | ) |

pure virtual

Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

## flush()

virtual void flush | ( | Pool & | p | ) |

pure virtual

Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

## write()

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |

pure virtual

Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

The documentation for this class was generated from the following file:

- writer.h